@font-face {
    font-family: 'Lelo-Regular';
    src: url('../fonts/Lelo-Regular.woff2') format('woff2'),
         url('../fonts/Lelo-Regular.woff') format('woff'),
         url('../fonts/Lelo-Regular.ttf') format('truetype'),
         url('../fonts/Lelo-Regular.otf') format('opentype'),
         url('../fonts/Lelo-Regular.eot') format('embedded-opentype');
    font-weight: normal;
    font-style: normal;
}

:root {
    --base-font-size: 1rem;
    --large-font-size: 3rem;
    --small-font-size: 0.8rem;
}

body {
    width: 100vw;
    height: 100vh;
    color: black;
    font-family: 'Lelo-Regular', helvetica, arial, sans-serif;
    font-size: var(--base-font-size);
    line-height: calc(var(--base-font-size) * 1.2);
    letter-spacing: 0.02rem;
    overflow: hidden;
}
#eventsContainer {
    font-size: var(--small-font-size);
    line-height: calc(var(--base-font-size) * 1.2);
    margin-top: calc(var(--base-font-size) * 1.2 * 2);
}
.events {
  padding-left: 2rem;
}

.event-line {
  display: block;
  text-indent: -2rem;
}

.event-space {
  display: block;
  height: 1.4em; /* one line break height */
}
h3 {
    margin-bottom: calc(var(--small-font-size) * 1.2);
    margin-top: calc(var(--base-font-size)* 1.2);
}
em {
    font-style: italic;
}
.center-text {
  text-align: center;
  margin-bottom: calc(var(--base-font-size) * -1.2);
}

#news-container {
    position: fixed;
    top: 0;
    bottom: 0;
    right: 0;
    width: 27.5vw;
    background-color: rgba(0, 255, 255, 1);
    z-index: 1000;
    box-sizing: border-box;
    transform: translateX(100%);
    transition: transform 0.5s ease-in-out;
    overflow: hidden;
}

#news-container.open {
    transform: translateX(0);
}

#news-content {
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    overflow: hidden;
    padding: 2rem;
}

.news-item {
    margin-top: 4rem;
    margin-bottom: 5.3rem;
    font-size: var(--large-font-size);
    line-height: calc(var(--large-font-size) * 1.2);
    text-align: center;
    height: calc(100% - 9.3rem); /* subtracting top and bottom margins */
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    display: flex;
    flex-direction: column;
}

.news-item p {
    font-size: inherit;
    line-height: inherit;
    word-wrap: break-word;
    overflow-wrap: break-word;
}

#close-news {
    position: absolute;
    top: 2rem;
    left: 2rem;
    background: none;
    border: none;
    width: 2rem;
    height: 2rem;
    cursor: pointer;
    background-image: url('../icons/Element_1.svg');
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
}

main{
    display: flex;
    flex-direction: row;
}

#info-container{
    width: 50vw;
    height: 100vh;
}
#info-content{
    position: relative;
    width: 100%;
    height: 100%;
    overflow-y: auto;
    box-sizing: border-box;
    padding: 2rem;
    scroll-behavior: smooth;
    scroll-padding-top: 9rem;
}


#project-container{
    width: 50vw;
    height: 100vh;
    background-color: rgba(248, 248, 248, 1);
}
#projects {
    position: absolute;
    top: 9rem;
    left: 0;
    width: calc(50vw - 4rem);
    margin-left: 2rem;
    margin-right: 2rem;
}

#project-content{
    position: relative;
    top: 0;
    left: 0;
    width: calc(50vw - 4rem);
    height: 100%;
    padding: 2rem;
    overflow: hidden;
    overflow-y: scroll;
}
#menu-container {
    position: fixed;
    width: calc(50vw - 5rem);;
    left: 0;
    top: 0;
    padding: 2rem;
    background-color: white;
    height: 5rem;
    z-index: 100;
}

.menu-items{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    width: 100%;
    gap: 1.5rem;
    justify-content: space-evenly;
}

.menu-item{
    cursor: pointer;
}

.menu-item.active {
    pointer-events: none;
    cursor: pointer;
}

.menu-item:hover, .menu-item.active, .underline{
    text-decoration: underline;
    text-decoration-thickness: 0.08rem;
    text-underline-offset: 0.22rem;
}

.info-text{
    hyphens: none;
    min-height: calc(100vh - 9rem);
}   

#info-text{
    height: calc(100vh - 9rem);
    position: relative;
    top: 9rem;
}
#logo{
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    height: calc(100vh - 18rem);
    overflow: hidden;
    padding-bottom: 9rem;
}

#logo img {
    height: 50%;
    object-fit: contain;
    width: auto;
}

#bg{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: -1;
}

/* project slider styles */
.project{
    margin-bottom: 9rem;
}
.slider {
    margin-top: 2rem;
    margin-bottom: 2rem;
    position: relative;
    width: 100%;
    overflow: hidden;
}
.slides {
    display: flex;
    transition: transform 0.3s ease-in-out;
    height: 100%;
    align-items: center;
}
.slide {
    flex: 0 0 100%;
    max-width: 100%;
    height: 100%;

    display: flex;
    align-items: center;
    justify-content: center;
}
.slide img,
.slide video {
    max-width: 100%;
    max-height: 100%;
    width: auto;
    height: auto;
    object-fit: contain;
    display: block;
}
.passepartout {
    overflow: hidden;
    width: calc(100% - 4rem);
    margin: 0 2rem;

    display: flex;
    align-items: center;
    justify-content: center;
}
.slider button{
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background: none;
    border: none;
    width: 1rem;
    cursor: pointer;
}
.slider .prev{
    left: 0.3rem;
}
.slider .next{
    right: 0.3rem;
}
.projectDescription, .projectTitle{
    margin-left: 2rem;
    margin-right: 2rem;
}
.external-video iframe {
    width: 100%;
    aspect-ratio: 16 / 9;
}

/* arrow shapes built from two lines forming half a rectangle */
.slider .prev::before,
.slider .next::before {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    width: 1rem;
    height: 1rem;
    transform: translate(-50%, -50%) rotate(-45deg);
}
.slider .prev::before {
    border-top: 2px solid #000;
    border-left: 2px solid #000;
}
.slider .next::before {
    border-bottom: 2px solid #000;
    border-right: 2px solid #000;
}
.clamped {
    display: -webkit-box;
    -webkit-line-clamp: 5;   /* number of lines */
    line-clamp: 5;
    -webkit-box-orient: vertical;
    overflow: hidden;
}
button {
    cursor: pointer;
}
.buttons {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    font-size: var(--small-font-size);
    margin-left: 4rem;
    margin-top: 2rem;
}

/* button + link base */
.toggle-text,
.download-pdf {
    display: flex;
    align-items: center;
    gap: 0.5rem;

    text-decoration: none;
    color: inherit;
    cursor: pointer;
}

/* the white rounded box */
.icon-box {
    width: 2.25rem;
    height: 1.5rem;

    background: white;
    border-radius: 0.6rem;

    display: flex;
    align-items: center;
    justify-content: center;
}

/* svg inside */
.icon-box img {
    width: 1rem;
    height: 1rem;
    transition: transform 1s ease;
}



/* Desktop styles */
@media (min-width: 769px) {
   #info-content {
        padding-right: 4rem;
   }
   #item6{
    position: fixed;
    bottom: 0;
    left: 0;
    width: calc(50vw - 5rem);
    padding: 2rem;
    background-color: white;
}
}


/* Mobile styles */
@media (max-width: 768px) {
    main {
        flex-direction: column;
        height: 100dvh;
    }
    #news-container {
        width: 80vw;
    }
    #info-container {
        width: 100vw;
        height: calc(100dvh - 9rem);
        transition: transform 0.5s ease;
    }
    #info-content {
        padding-right: 2rem;
    }
    #logo img{
        height: 40%
    }
    #menu-container {
        width: calc(100% - 4rem);
    }
    #project-container {
        width: 100vw;
        height: 9rem;
        transition: transform 0.5s ease;
    }
     #projects {
        width: calc(100vw - 4rem);
    }
     #project-content {
        width: calc(100vw - 4rem);
    }

}